%% my_plot_function.m
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Trace une courbe avec une mise en forme prdfinie
% 
% my_plot_function(a,b,nb_points,f,titre,Xtitle,Ytitle)
% 
% a : limite infrieure pour les abscisses
% b : limite suprieure pour les abscisses
% nb_points : nombres de points  calculer pour le trac
% f : fonction  tracer
% titre: titre du graphique
% Xtitle: titre de l'axe des abscisses
% Ytitle: titre de l'axe des ordonnes

function my_plot_function(a,b,nb_points,f,titre,Xtitle,Ytitle)
% Cration d'une fentre graphique
figure;
% cration du vecteur des temps 
t = [a:(b-a)/nb_points:b];
% trac de la courbe et utilisation de la fonction prise en argument
plot(t,f(t),'LineWidth',2);
%gnration de la grille
grid on;
grid minor;
% titre et tiquette des axes
title(titre,'Color','red');
xlabel(Xtitle,'Color','blue');
ylabel(Ytitle,'Color','blue');
% spcification des limites sur l'axe des abscisses
xlim([a,b]);
% spcification des limites sur l'axe des ordonne
% axis donne les limites ymin et ymax
% les limites sur l'axe des ordonnes sont fixes  20% au dessus des
% valeurs mini et maxi de la courbe
l = axis;
ymin = l(3); ymax = l(4);
ylim([1.2*ymin,1.2*ymax]);
end



