%% script_0_legend_all_in_one.m
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Ce script permet de tracer une srie de courbes en faisant varier un paramtre
% L'quation de la courbe est stocke dans la fonction dfinie en fin de
% fichier

% cration d'une nouvelle fentre graphique
figure;
hold on;

% cration du vecteur des temps
t = [0:0.001:60];

%cration d'une cellule pour stocker les lignes de la lgende
Titre_Legende = cell(1,1);
ind_Legende = 1;

% boucle permettant le trac avec la variation du paramtre
for k = 5:5:40
plot(t,f(t,k),'LineWidth',2);
Titre_Legende{1,ind_Legende} =  'a=' + string(k); % cration de la ligne de la lgende
ind_Legende = ind_Legende + 1;
end

% affichage de la lgende
legend(Titre_Legende);

% affichage de la grille
grid on;
grid minor;

% titre et tiquettes des axes
titre = texlabel('sin(t).e^((-t/a)) en fonction de t');
title(titre,'Color','red');
xlabel('Temps t en (s)','Color','blue');
ylabel('Valeur du sinus amorti','Color','blue');

% dfinition de la fonction
function y=f(x,a)
y = sin(x).*exp(-x/a);
end



