%% [t,df] = fderiv_anasymbolique(a,b,nb_points,f)
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Calcul de la drive analytique exacte d'une fonction en utilisant le calcul
% symbolique
function [t,df]=fderiv_ana_symbolique(a,b,nb_points,f)
h = (b-a)/nb_points;
t = [a:h:b];
% x est dclare comme variable symbolique
syms x;

% cration de la fonction symbolique f_symbolique  partir de f(x)
f_symbolique(x) = f(x);

% drivation de la fonction f_symbolique pour crer la fonction drive
% symbolique
df_symbolique(x) = diff(f_symbolique,x);

% calcul des valeurs du vecteur df qui contient les valeurs de la drive
% calcule analytiquement
df = df_symbolique(t);

% conversion de la fonction symbolique en double prcision
df = double(df);

df(1) = [];
t(1) = [];
df(end) = [];
t(end) = [];
end


