%% num_deriv_plot_comparison
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
%
% Calcul de la drive numrique d'une fonction en utilisant diffrentes
% methodes de calcul:
% - diffrence finie centre
% - diffrence finie rtrograde
% - diffrence finie progressive
% Une comparaison est effectue avec le calcul de la drive thorique
% exacte effectue en calcul symbolique
% Toutes les courbes sont places sur le mme graphiques afin de pouvoir
% valuer visuellement les erreurs dues au processus de drivation
% numrique
% Il est possible de faire varier l'intervalle [a;b] d'tude de la fonction
% et le nombre de points nb_points que l'on souhaitent pour effectuer le
% calcul
% La fonction  driver est stocke dans la fonction f1.m
%% Script
% dfinition de l'intervalle d'tude  [a;b] de la fonction considre
a = 0;
b = 10;

% dfinition du nombre de point  utiliser pour le calcul
nb_points = 200;

%% Calcul et trac de la drive numrique avec les diffrentes mthode

% cration et positionnement de la fentre graphique

figure('Units','centimeters','Position',[2 8 18 12]);

grid on; grid minor; hold on;


% calcul et trac de la drive exacte en calcul symbolique
[t_ana_symbolique,df_num_ana_symbolique] = fderiv_ana_symbolique(a,b,nb_points,@f1);
plot(t_ana_symbolique,df_num_ana_symbolique,'red','LineWidth',2);

% calcul  et trac de la drive avec diffrence finie centre
[t_center,df_num_center] = fderiv_center(a,b,nb_points,@f1);
plot(t_center,df_num_center,'green','LineWidth',2);

% calcul et trac de la drive avec diffrence finie progressive
[t_forward,df_num_forward] = fderiv_forward(a,b,nb_points,@f1);
plot(t_forward,df_num_forward,'blue','LineWidth',2);

% calcul et trac de la drive avec diffrence finie retrograde
[t_backward,df_num_backward] = fderiv_backward(a,b,nb_points,@f1);
plot(t_backward,df_num_backward,'cyan','LineWidth',1);

% titre et lgende
title({'Comparaison des mthodes de drivation numrique';...
    ' de la fonction f1'});

legend('drive analytique','diffrence finie centre',...
    'diffrence finie progressive','diffrence fine rtrograde')
xlim([a b]);

%% Calcul des diffrents carts en prenant comme rfrence la drive 
% exacte dtermine en calcul symbolique

error_center = df_num_ana_symbolique - df_num_center;
error_forward = df_num_ana_symbolique - df_num_forward;
error_backward = df_num_ana_symbolique - df_num_backward;


% cration du vecteur des abscisses

t = [a:(b-a)/nb_points:b]; 
t(1) = [];
t(end) = [];

% cration et positionnement de la fentre graphique

figure('Units','centimeters','Position',[22 8 18 12]);
hold on; grid on; grid minor;

% trac des diffrents carts

plot(t,error_center,'green','LineWidth',2)
plot(t,error_forward,'blue','LineWidth',2)
plot(t,error_backward,'cyan','LineWidth',2)

% titre et lgende

title({'Erreurs compares des diffrentes mthodes de drivation numrique';...
    'par rapport  la drive analytique'});

legend('diffrence finie centre','diffrence finie progressive',...
    'diffrence fine rtrograde')

xlim([a b]);





    


 






