%% fNewton.m
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Cette fonction renvoie la solution de l'quation f(x)=0 recherche 
% autour de la valeur x0 avec une prcision epsilon en utilisant la 
% mthode de Newton
% La fonction derive=df(f,x) permet d'obtenir la drive numrique de 
% la fonction f avec un pas h

function [sol,N] = Newton(f,x0,epsilon)
sol = x0 - f(x0)/df(f,x0);

% tant que la prcision n'est pas atteinte, on continue la mthode
while abs(f(sol)) > epsilon
    sol = sol - f(sol)/df(f,sol);
end
end

% fonction permettant de calculer la drive numrique de la fonction
% (diffrence finie progressive)
function derive = df(f,x)
h = 1e-5;
derive = (f(x+h/2)-f(x-h/2))/h;
end
