%% [t,df] = fintegration_anasymbolique(a,b,nb_points,f)
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Calcul analytique exacte de l'intgrale d'une fonction en utilisant
% le calcul symbolique

function [t,int_f]=fintegration_ana_symbolique(a,b,nb_points,f)
h = (b-a)/nb_points;
t = [a:h:b];
% x est dclare comme variable symbolique
syms x;

% cration de la fonction symbolique f_symbolique  partir de f(x)
f_symbolique(x) = f(x);

% intgration de la fonction f_symbolique pour crer la fonction drive
% symbolique
int_f_symbolique(x) = int(f_symbolique,x);

% calcul des valeurs du vecteur int_f qui contient les valeurs de
% l'intgrale de la fonction calcule analytiquement
int_f = int_f_symbolique(t);

% conversion de la fonction symbolique en double prcision
int_f = double(int_f);


int_f(end) = [];
t(end) = [];
end


