%% num_integration_comparaison
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
%Calcul numrique de l'intgrale  d'une fonctionn en utilisant diffrentes
% methodes de calcul:
% - mthode des rectangles
% - mthode des trapzes
% Une comparaison est effectue avec le calcul de l'intgrale thorique
% exacte effectue en calcul symbolique
% Il est possible de faire varier l'intervalle [a;b] d'tude de la fonction
% et le nombre de points nb_points pris en compte pour le calcul
% La fonction  intgrer est stocke dans la fonction f3.m

%% Script
% dfinition de l'intervalle d'tude  [a;b] de la fonction considre
a = 0;
b = 10;

% dfinition du nombre de point  utiliser pour le calcul
nb_points = 20;
close all;
%% Calcul et trac de l'intgrale de la fonction en utilisant diffrente mthodes

% cration et positionnement de la fentre graphique

figure('Units','centimeters','Position',[2 8 18 12]);

grid on; grid minor; hold on;

% calcul analytique exacte et trac de l'intgrale de la fonction f en 
% utilisant le calcul symbolique
[t_ana_symbolique,int_f_ana_symbolique] = fintegration_ana_symbolique(a,b,nb_points,@f3);
plot(t_ana_symbolique,int_f_ana_symbolique,'red','LineWidth',2);

% calcul et trac de l'intgrale de la fonction en utilisant la mthode des
% rectangles
[t_rec,int_f_rec] = fintegration_rec(a,b,nb_points,@f3);
plot(t_rec,int_f_rec,'cyan','LineWidth',2);

% calcul et trac de l'intgrale de la fonction en utilisant la mthode des
% trapzes
[t_trap,int_f_trap] = fintegration_trap(a,b,nb_points,@f3);
plot(t_trap,int_f_trap,'blue','LineWidth',2);
% titre et lgende

title({'Comparaison des mthodes d''intgration numrique';...
    ' de la fonction f3'});


legend('Intgrale calcule analytiquement','Intgrale calcule avec la mthode des rectangles',...
    'Intgrale calcule avec la mthode des trapzes');


%% %% Calcul des diffrents carts en prenant comme rfrence le calcul 
% de l'intgrale exacte dtermine en calcul symbolique

error_rec = int_f_ana_symbolique - int_f_rec;
error_trap = int_f_ana_symbolique - int_f_trap;

% cration du vecteur des abscisses

t = [a:(b-a)/nb_points:b]; 

t(end) = [];

% cration et positionnement de la fentre graphique

figure('Units','centimeters','Position',[22 8 18 12]);
hold on; grid on; grid minor;

% trac des diffrents carts

plot(t,error_rec,'green','LineWidth',2)
plot(t,error_trap,'blue','LineWidth',2)

% titre et lgende

title({'Erreurs compares des diffrentes mthodes d''intgration numrique';...
    'par rapport  l''intgrale calcule analytiquement'});

legend('Mthode des rectangles','Mthode des trapzes')

xlim([a b]);





