%% num_integration_comparaison_subplot
% Ivan LIEBGOTT @ Novembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
%
% Calcul numrique de l'intgrale  d'une fonctionn en utilisant diffrentes
% methodes de calcul:
% - mthode des rectangles
% - mthode des trapzes
% Une comparaison est effectue avec le calcul de l'intgrale thorique
% exacte effectue en calcul symbolique
% Il est possible de faire varier l'intervalle [a;b] d'tude de la fonction
% Reprsentation de 4 courbes correspondant  4 valeurs du nombres de
% points calculs choisies quitablement rparties entre nb_points_min et
% nb_points_max
% La fonction  intgrer est stocke dans la fonction f3.m
%% Script
% dfinition de l'intervalle d'tude  [a;b] de la fonction considre
a = 0;
b = 10;

% spcification des nombres de points mini et maxi
nb_points_min = 10;
nb_points_max = 50;
pas = round((nb_points_max - nb_points_min) / 3);
%% 
fig = figure('Units','centimeters','Position',[1 1 35 25]);
set(fig,'Color','white');
sgtitle({'Comparaison des diffrentes mthodes d''intgration numrique';...
    ' de la fonction f3 en fonction du nombre de points calculs'});

% initialisation du compteur de boucle
k = 1;

for nb_points = nb_points_min : pas : nb_points_max;
    
subplot(2,2,k); hold on; grid on; grid minor;

% calcul analytique exacte et trac de l'intgrale de la fonction f en 
% utilisant le calcul symbolique
[t_ana_symbolique,int_f_ana_symbolique] = fintegration_ana_symbolique(a,b,nb_points,@f3);
plot(t_ana_symbolique,int_f_ana_symbolique,'red','LineWidth',2);

% calcul et trac de l'intgrale de la fonction en utilisant la mthode des
% rectangles
[t_rec,int_f_rec] = fintegration_rec(a,b,nb_points,@f3);
plot(t_rec,int_f_rec,'cyan','LineWidth',2);

% calcul et trac de l'intgrale de la fonction en utilisant la mthode des
% trapzes
[t_trap,int_f_trap] = fintegration_trap(a,b,nb_points,@f3);
plot(t_trap,int_f_trap,'blue','LineWidth',2);

% legend('drive analytique','diffrence finie centre',...
%     'diffrence finie progressive','diffrence fine rtrograde');

title('Nombre de points calculs  ' + string(nb_points))
k = k + 1;
end

% spcification de la lgende gnrale du graphique
leg = legend('Intgration analytique','Mthode des rectangles',...
    'Mthode des trapzes');

% Positionnement de la lgende au centre du graphique
newPosition = [0.45 0.47 0.1 0.07];
newUnits = 'normalized';
set(leg,'Position', newPosition,'Units', newUnits);




    


 






