%% filtre_mgl(Y,n)
% Ivan LIEBGOTT @ Dcembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Cette fonction permet de filtrer un signal en utilisant un filtre 
% moyenne glissante. Chaque point calcul reprsente la moyenne des n
% dernires valeurs du signal.
% Y : reprsente le vecteur contenant le valeurs du signal  filtrer
% n : nombre de points pris en compte pour faire la moyenne

function [Y_mgl] = filtre_mgl(Y,n)
% pour chaque point du signal Y  partir du point Y(n+1)
for p = n+1:1:length(Y)
    % calcul de la moyenne des n termes prcdents
    moyenne_glissante = 0;
        for k = 1:1:n
        moyenne_glissante = moyenne_glissante + Y(p-k)/n;
        end
    % affectation de la valeur de l'chantillon pour la valeur de p
    Y_mgl(p) = moyenne_glissante;
% transposition pour obtenir une matrice colonne
Y_mgl = Y_mgl';
end

    
