%% fEuler
% Ivan LIEBGOTT @ Dcembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Rsolution d'une quation diffrentielle du premier ordre mise sous 
% la forme d'un problme de Cauchy
% Equation scalaire: dy/dt = F(t,y)

function [t,y] = fEuler(f,a,b,CI,nb_points)
% calcul du pas h en fonction de a,b et nb_points
h = (b-a)/nb_points;

% dfinition du vecteur t
t = [a:h:b];

y(1) = CI;
for k = 1:1:nb_points
    y(k+1) = y(k) + h * f(t(k),y(k));
end;


