%% my_ode
% Ivan LIEBGOTT @ Dcembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% Rsolution d'une quation diffrentielle mise sous la forme d'un problme 
% de Cauchy
% Equation vectorielle: dy/dt = F(t,y)

function [t,sol] = my_ode_colonne(f,a,b,CI,nb_points)
h = (b-a)/nb_points;
t = [a:h:b];

% La premire ligne de la matrice solution est constitue du vecteur
% condition initiales CI
sol(1,:) = CI;

% Chaque ligne de la matrice est construite en utilisant le schma d'Euler
% Il est ncessaire de transposer l'expression "h * f(t(k),sol(k,:))" afin
% de la rendre de mme dimension que les autres termes de l'quation (1-by-2)
for k = 1:1:nb_points
    sol(k+1,:) = sol(k,:) + h * f(t(k),sol(k,:))';
end
end


