%% solve_ode_3
% Ivan LIEBGOTT @ Dcembre 2019
% Modlisation et Simulation des Systmes Multi-Physiques
% avec MATLAB - Simulink
% comparaison de my_ode et ode_23 pour la rsolution d'une quation
% diffrentielle du troisime ordre
% dfinition de l'intervalle d'tude  [a;b] de la fonction considre
a = 0;
b = 40;

% spcification du nombre de points et du pas h
nb_points = 4000;
h= (b-a) / nb_points;

%% Rsolution d'une quation diffrentielle du second ordre en utilisant 
% des solveurs numriques

% spcification des conditions initiales CI = [y0 ; dydt0 ; d2y/dt2] (matrice 3-by-1)
CI = [1;0;3];

% Rsolution avec my_ode
[t_my_ode_3,sol_my_ode_3] = my_ode(@F_3,a,b,CI,nb_points);

% Rsolution avec ode23
% pour utiliser ode23 on rentre directement en argument le vecteur temporel
% ncssaire au calcul (tspan). Dans my_ode, il fallait rentrer [a;b] et le nombre
% de points ce qui revient exactement au mme
tspan = [a:h:b];
[t_ode23_3,sol_ode23_3] = ode23(@F_3,tspan,CI);


%reprsentation graphique de la solution
figure;
hold all;
% Trac de la premire colonne de la matrice sol qui correspond  la
% fonction y, solution de l'quation diffrentielle
plot(t_my_ode_3,sol_my_ode_3(:,1),'c','LineWidth',2);
plot(t_ode23_3,sol_ode23_3(:,1),'k--','LineWidth',2);

grid on; grid minor;
title({'Comparaison des solveurs pour la rsolution',...
    'd''une quation diffrentielle du troisime ordre',string(nb_points) + ' points sont calculs '});

legend('Solution calcule avec my ode','Solution calcule avec ode23');
