% Paramtres dimensionnels
A = 2 ; %surface de la vitre en m2

% Dimensions de la pice intrieure en m
S = 60;  h = 2.5;

% Volume d'air contenu dans la pice
Vair = S * h;

% Epaisseur des diffrentes couches
ev = 8; % paisseur de la couche de verre en mm
ea = 10; % paisseur de la couche d'argon en mm

% Caractristiques des matriaux des diffrentes couches
% Masse volumique en kg/m3
pv = 2530;    % verre
pa = 1.784;   % argon
pair = 1.225; % air

% Chaleur spcifique en J/kg/K
cv = 720; ca = 320; cair = 1030;

% Masse des couches de la paroi en kg
Mv = pv * A * ev * 1e-3; 
Ma = pa * A * ea * 1e-3;

% Masse de l'air contenu dans la pice
Mair = pair * Vair; 

% Conductivit thermique en W/(K.m)
lam_v = 1; lam_a = 0.018; lam_air = 0.025;

% Coefficients de transfert thermique par convection en W/(m2.K)
ksi = 7.7; % entre intrieur et paroi vitre
kse = 25;  % entre extrieur et paroi vitre

% Temprature en degrs Celsius
T_int = 20;  % temprature intrieure 
T_ext = 10;  % Temprature extrieure

