# Modelisation_et_Simulation_Systemes_Multiphysiques_MATLAB_2020b_Ivan_LIEBGOTT

Les ingénieurs sont au cœur du processus de conception des systèmes complexes et doivent chaque jour relever les défis de la compétitivité, de l’innovation et de la performance. Cela ne peut se faire sans l’intégration de processus industriels structurés, ni sans la maitrise des outils modernes de modélisation et de simulation. A chaque étape du cycle de conception, les méthodes mises en œuvre doivent permettre de baisser les coûts, de réduire le risque d’erreur et d’en minimiser les impacts. Au cœur de ce processus, la modélisation et la simulation numérique jouent un rôle majeur et permettent aux ingénieurs d’anticiper, de comprendre et de vérifier les analyses qu’ils mènent tout au long du projet.

Les démarches industrielles standards, comme le cycle en V intègrent pleinement la simulation numérique au travers de méthodes associées comme le « Model Based Design » (conception basée sur le modèle). Les outils modernes de simulation permettent de créer des modèles globaux complexes intégrant tous les comportements du système et prenant en compte l’ensemble des interactions, cette démarche est appelée modélisation multi-physique. Le système réel peut avantageusement être remplacé par son modèle numérique pour réaliser des tests qui auparavant mobilisaient des moyens matériels et humains importants. Cette démarche impose de disposer de modèles validés qui reproduisent fidèlement le comportement des systèmes réels.

Cet ouvrage vous présente une approche de la modélisation multi-physique qui exploite les fonctionnalités et les innovations des logiciels de simulation afin de rendre le processus de modélisation plus rapide et plus efficace. La plate-forme de simulation utilisée est le logiciel MATLAB/Simulink version 2020b.

L’ouvrage propose de donner les clés permettant d’aborder la modélisation globale d’un système en créant le lien entre les méthodes industrielles et les méthodes utilisées dans le cycle de formation des ingénieurs. Il est illustré par de très nombreux exemples dans différents domaines de la technologie (électrique, hydraulique, mécanique, thermique…) et met en évidence l’interconnexion des domaines physiques. 

Les fondamentaux de tous les outils nécessaires pour mener cette démarche sont présentés :
•	MATLAB
•	Simulink
•	Simscape (Foundation Library)
•	Simscape Fluids
•	Simscape Multibody
•	Simscape Electrical
•	Stateflow

Dans cette quatrième édition, un tout nouveau chapitre est consacré à l’ingénierie numérique en langage MATLAB. Vous pourrez trouver les algorithmes fondamentaux de l’analyse numérique (dérivation numérique, intégration numérique, résolution d’équations stationnaires, filtrage d’un signal, résolution d’équations différentielles, résolution de systèmes d’équations…). Pour chaque chapitre des exemples concrets d’utilisation de ces algorithmes sont présentés. Tous les scripts et les fonctions définis dans ce chapitre peuvent être facilement réutilisés et adaptés afin de gagner un temps précieux dans vos projets.
La programmation en langage MATLAB s’avèrera très utile en complément de l’utilisation des outils graphiques présentés également dans l’ouvrage. 

Deux nouveaux chapitres sont consacrés à l’utilisation de MATLAB/Simulink Online et de MATLAB Mobile, vous pourrez découvrir les nouvelles méthodes de travail et de partage que proposent ces outils innovants. Prenez le temps de les découvrir.

L’ouvrage explore le potentiel des outils de modélisation et de programmation indispensables au déroulement d’un projet industriel de conception de système. Vous pourrez en percevoir toute la pertinence et l’exploiter en fonction des besoins spécifiques que vous rencontrerez dans votre démarche de conception et de modélisation.

Bonne lecture,

Ivan LIEBGOTT

[![View Modélisaton et Simulation des Systèmes Multi-Physiques 4 Ed on File Exchange](https://www.mathworks.com/matlabcentral/images/matlab-file-exchange.svg)](https://www.mathworks.com/matlabcentral/fileexchange/44387-modelisaton-et-simulation-des-systemes-multi-physiques-4-ed)
